Subject: Re: aic7xxx panics (long)

From: Benjamin Herrenschmidt <[email-masked]>
Date: 22 Jul 2003 01:42:48 +0200

On Sun, 2003-07-20 at 00:22, Ethan Weinstein wrote:

> I was able to get my hands on an IDE drive to boot from.
> The lspci -vvv + dmesg's + /proc/device-tree's fom each kernel,
> (2.4.20-ben10 vs. 2.4.21-ben2) is located here:
>
> ftp://stinkfoot.org/for.benh_stinkfoot.org.tar.bz2
>
> Again, I appreciate your help.

That's weird, things appear to be mapped the same way. The only
difference I see that could be significant (though it should not)
is that 2.4.21 actually doesn't enable the IO access (the driver
is supposed to do only MMIO here). Can you try this patch ? If
it works, then we might be facing a HW bug...

In drivers/scsi/aix7xxx/aix7xxx_osm_pci.c, line 313, replace:

	command &= ~(PCIM_CMD_PORTEN|PCIM_CMD_MEMEN);

with
	command |= PCIM_CMD_PORTEN|PCIM_CMD_MEMEN;

And tell me if that makes any difference,

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/